Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTransmitPolyDataPiece Class Reference

`#include <vtkTransmitPolyDataPiece.h>`

Inheritance diagram for vtkTransmitPolyDataPiece:

[legend]
Collaboration diagram for vtkTransmitPolyDataPiece:

[legend]
List of all members.

## Detailed Description

Return specified piece, including specified.

Date:
  2002/08/12 15:20:30

Revision:
  1.6

number of ghost levels. .DESCRIPTION This filter updates the appropriate piece by requesting the piece from process 0. Process 0 always updates all of the data. It is important that Execute get called on all processes, otherwise the filter will deadlock.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Hoffman, Bill (82%)
  - Cedilnik, Andy (8%)
  - Law, Charles (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkTransmitPolyDataPiece.cxx)`
  - .`h` (`/Parallel/vtkTransmitPolyDataPiece.h)`

Definition at line 47 of file vtkTransmitPolyDataPiece.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetController (vtkMultiProcessController *)
virtual vtkMultiProcessController * | GetController ()
virtual void | SetCreateGhostCells (int)
virtual int | GetCreateGhostCells ()
virtual void | CreateGhostCellsOn ()
virtual void | CreateGhostCellsOff ()
## Static Public Methods
vtkTransmitPolyDataPiece * | New ()
int | IsTypeOf (const char *type)
vtkTransmitPolyDataPiece * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTransmitPolyDataPiece ()
| ~vtkTransmitPolyDataPiece ()
void | Execute ()
void | RootExecute ()
void | SatelliteExecute (int procId)
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *out)
## Protected Attributes
vtkPolyData * | Buffer
int | BufferPiece
int | BufferNumberOfPieces
int | BufferGhostLevel
int | CreateGhostCells
vtkMultiProcessController * | Controller

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkTransmitPolyDataPiece::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 51 of file vtkTransmitPolyDataPiece.h.

## Constructor & Destructor Documentation

vtkTransmitPolyDataPiece::vtkTransmitPolyDataPiece | ( |  | ) | `[protected]`

vtkTransmitPolyDataPiece::~vtkTransmitPolyDataPiece | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTransmitPolyDataPiece* vtkTransmitPolyDataPiece::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkTransmitPolyDataPiece::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkTransmitPolyDataPiece::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkTransmitPolyDataPiece::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkTransmitPolyDataPiece* vtkTransmitPolyDataPiece::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkTransmitPolyDataPiece::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkTransmitPolyDataPiece::SetController | ( | vtkMultiProcessController * |  | ) | `[virtual]`

| By defualt this filter uses the global controller, but this method can be used to set another instead.

virtual vtkMultiProcessController* vtkTransmitPolyDataPiece::GetController | ( |  | ) | `[virtual]`

| By defualt this filter uses the global controller, but this method can be used to set another instead.

virtual void vtkTransmitPolyDataPiece::SetCreateGhostCells | ( | int |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual int vtkTransmitPolyDataPiece::GetCreateGhostCells | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual void vtkTransmitPolyDataPiece::CreateGhostCellsOn | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

virtual void vtkTransmitPolyDataPiece::CreateGhostCellsOff | ( |  | ) | `[virtual]`

| Turn on/off creating ghost cells (on by default).

void vtkTransmitPolyDataPiece::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkTransmitPolyDataPiece::RootExecute | ( |  | ) | `[protected]`

void vtkTransmitPolyDataPiece::SatelliteExecute | ( | int | procId | ) | `[protected]`

void vtkTransmitPolyDataPiece::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkTransmitPolyDataPiece::ComputeInputUpdateExtents | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

## Member Data Documentation

vtkPolyData* vtkTransmitPolyDataPiece::Buffer`[protected]`

| Definition at line 79 of file vtkTransmitPolyDataPiece.h.

int vtkTransmitPolyDataPiece::BufferPiece`[protected]`

| Definition at line 80 of file vtkTransmitPolyDataPiece.h.

int vtkTransmitPolyDataPiece::BufferNumberOfPieces`[protected]`

| Definition at line 81 of file vtkTransmitPolyDataPiece.h.

int vtkTransmitPolyDataPiece::BufferGhostLevel`[protected]`

| Definition at line 82 of file vtkTransmitPolyDataPiece.h.

int vtkTransmitPolyDataPiece::CreateGhostCells`[protected]`

| Definition at line 84 of file vtkTransmitPolyDataPiece.h.

vtkMultiProcessController* vtkTransmitPolyDataPiece::Controller`[protected]`

| Definition at line 85 of file vtkTransmitPolyDataPiece.h.

The documentation for this class was generated from the following file:

- Parallel/vtkTransmitPolyDataPiece.h